
package clases;

import javax.swing.JCheckBox;
import javax.swing.JOptionPane;
import javax.swing.JTextField;


public class bagolini_tamaños {
String long_pieza, anchopieza, espesorpieza, Tamañob, ModuloLong_Ancho, moduloanchoespesor;


public bagolini_tamaños(){
    
}
    public bagolini_tamaños(String long_pieza, String anchopieza, String espesorpieza) {
        this.long_pieza = long_pieza;
        this.anchopieza = anchopieza;
        this.espesorpieza = espesorpieza;
        
        boolean longitud = esnumero(long_pieza);
        boolean ancho = esnumero(anchopieza);
        boolean espesor = esnumero(espesorpieza);
        if((longitud==true)&&(ancho==true)){
        Tamañob = calcularTamañoBagolini2(long_pieza, anchopieza);
        ModuloLong_Ancho = calcularModuloLong_Ancho2(long_pieza, anchopieza);           
        }else{
            Tamañob="N.D.";
            ModuloLong_Ancho="N.D.";
        }
        if((ancho==true)&&(espesor==true)){
        moduloanchoespesor = calcularmoduloanchoespesor(anchopieza, espesorpieza);
    }else{
            moduloanchoespesor = "N.D.";
        }
    }
    public bagolini_tamaños(String long_pieza, String anchopieza) {
        this.long_pieza = long_pieza;
        this.anchopieza = anchopieza;
        boolean longitud = esnumero(long_pieza);
        boolean ancho = esnumero(anchopieza);
        
if((longitud==true)&&(ancho==true)){
        Tamañob = calcularTamañoBagolini2(long_pieza, anchopieza);
        ModuloLong_Ancho = calcularModuloLong_Ancho2(long_pieza, anchopieza);           
        }else{
            Tamañob="N.D.";
            ModuloLong_Ancho="N.D.";
        }
    }

public boolean esnumero(String cadena){
   try {
		Float.parseFloat(cadena);
		return true;
	} catch (NumberFormatException nfe){
		return false;
	}
}

final String calcularTamañoBagolini2 (String long_pieza, String anchopieza){
String Tamañob;
Float Largo2 = Float.parseFloat(long_pieza);
Float Ancho2 = Float.parseFloat(anchopieza);


    if (((Largo2>0) && (Largo2<=4.0)) && (Ancho2<=(4.1-Largo2))){
   Tamañob = "1";
   return Tamañob;
}   if (((Largo2>0) && (Largo2<=8.0)) && (Ancho2<=(8.1-Largo2))){
   Tamañob = "2";
   return Tamañob;
}  if (((Largo2>0) && (Largo2<=16.0)) && (Ancho2<=(16.1-Largo2))){
   Tamañob = "3";
   return Tamañob;
} else {
   Tamañob = "4";
   return Tamañob;
}
}

//------------------------------------------------------------------------------
  final String calcularModuloLong_Ancho2(String long_pieza, String anchopieza) {
        Float Largo2 = Float.parseFloat(long_pieza);
        Float Ancho2 = Float.parseFloat(anchopieza);
        String ModuloLong_Ancho;
        
        float division =(float) Largo2/Ancho2;
        
        if(division>=6){
            ModuloLong_Ancho = "A";
            return ModuloLong_Ancho;}
        if((division<6) && (division>=3)){
            ModuloLong_Ancho = "B";
            return ModuloLong_Ancho;}
        if((division<3) && (division>=2)){
            ModuloLong_Ancho = "C";
            return ModuloLong_Ancho;}
        if((division<2) && (division>=1.5)){
            ModuloLong_Ancho = "D";
            return ModuloLong_Ancho;}
        if((division<1.5) && (division>=1)){
            ModuloLong_Ancho = "E";
            return ModuloLong_Ancho;}
        if((division<1) && (division>=0.75)){
            ModuloLong_Ancho = "F";
            return ModuloLong_Ancho;}
        if((division<0.75) && (division>=0.5)){
            ModuloLong_Ancho = "G";
            return ModuloLong_Ancho;}
        else {
            ModuloLong_Ancho = "H";
            return ModuloLong_Ancho;
        }   }

////////////////////////////////////////////////////////////////////////////////////////////

  public String calcularmoduloanchoespesor (String anchopieza, String espesorpieza){
    Float aux_ancho = Float.parseFloat(anchopieza);
    Float aux_espesor = Float.parseFloat(espesorpieza);
    float aux_moduloanchoespesor = aux_ancho/aux_espesor;
    String moduloanchoespesor="";
    
    if (aux_moduloanchoespesor<2.5){
    moduloanchoespesor = "1";
}if ((aux_moduloanchoespesor>=2.5)&&(aux_moduloanchoespesor<5)){
    moduloanchoespesor = "2";
}if (aux_moduloanchoespesor>=5) {
    
        moduloanchoespesor= "3";
               }
    return moduloanchoespesor;
}

    public String getLong_pieza() {
        return long_pieza;
    }

    public void setLong_pieza(String long_pieza) {
        this.long_pieza = long_pieza;
    }

    public String getAnchopieza() {
        return anchopieza;
    }

    public void setAnchopieza(String anchopieza) {
        this.anchopieza = anchopieza;
    }

    public String getEspesorpieza() {
        return espesorpieza;
    }

    public void setEspesorpieza(String espesorpieza) {
        this.espesorpieza = espesorpieza;
    }

    public String getTamañob() {
        return Tamañob;
    }

    public void setTamañob(String Tamañob) {
        this.Tamañob = Tamañob;
    }

    public String getModuloLong_Ancho() {
        return ModuloLong_Ancho;
    }

    public void setModuloLong_Ancho(String ModuloLong_Ancho) {
        this.ModuloLong_Ancho = ModuloLong_Ancho;
    }

    public String getModuloanchoespesor() {
        return moduloanchoespesor;
    }

    public void setModuloanchoespesor(String moduloanchoespesor) {
        this.moduloanchoespesor = moduloanchoespesor;
    }


    public void fracturado (JTextField txt, JCheckBox check){
        
        String txtorigen = txt.getText();
        if (check.isSelected() == false) {
            String[] parts = txtorigen.split("/");
            String part1 = parts[0];
            txt.setText(part1);
            txt.setEnabled(true);
        }
        if (check.isSelected() == true) {
            if (txtorigen.equals("")) {
                JOptionPane.showMessageDialog(null, "Antes de seleccionar esta opción, debe ingresar el valor dimensional");
                check.setSelected(false);
                txt.setEnabled(true);
            } else {
                txtorigen = txtorigen + "/frc";
                txt.setText(txtorigen);
                check.setSelected(true);
//                txt.setEnabled(false);
                
            }

        }

    }


    

    public void chkfracturado(JTextField txtfield, JCheckBox check){
String cadena = txtfield.getText();
if(cadena.equals("CN")){
    check.setSelected(false);
}else{
        
           try {
		Float.parseFloat(cadena);
//		check.setSelected(false);
	} catch (NumberFormatException nfe){
                
                String[] parts = cadena.split("/");
                String part1 = parts[0];
                String part2 = parts[1];
                
                cadena = part1;
                txtfield.setText(cadena);
		check.setSelected(true);
	}
    }
    }
    
}
